Bug 14679 - SMB2 renames don't wait for lease breaks.
Summary: SMB2 renames don't wait for lease breaks.
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: unspecified
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-31 00:51 UTC by Jeremy Allison
Modified: 2021-04-20 10:09 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for master. (6.98 KB, patch)
2021-03-31 00:59 UTC, Jeremy Allison
no flags Details
git-am fix for 4.14.next, 4.13.next, 4.12.next. (7.47 KB, patch)
2021-03-31 16:38 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2021-03-31 00:51:42 UTC
Found by Ralph. This was broken by c7a9e0e4cdfb22e66533b5c8e20af3cfdb8ae78c.

Fixes needed for 4.12.x onwards. Have test + patch, need bugnumber.
Comment 1 Jeremy Allison 2021-03-31 00:59:38 UTC
Created attachment 16574 [details]
git-am fix for master.

Take a look Ralph. I'm going to push to gitlab-ci to see if it passes there first obviously.
Comment 2 Jeremy Allison 2021-03-31 01:29:20 UTC
Comment on attachment 16574 [details]
git-am fix for master.

Aside from changing the place the test is invoked in the  torture_smb2_lease_init() function, it back-ports cleanly to 4.14.next, 4.13.next, 4.12.next.
Comment 4 Samba QA Contact 2021-03-31 06:14:03 UTC
This bug was referenced in samba master:

8d9a0b8d57713781c72440c7e91746b5d89e6f6a
10d753868e810604d8f60673bbd48f55aaff0797
Comment 5 Jeremy Allison 2021-03-31 16:38:01 UTC
Created attachment 16576 [details]
git-am fix for 4.14.next, 4.13.next, 4.12.next.

Cherry-picked from master (slight back-port for the test).
Comment 6 Ralph Böhme 2021-03-31 17:10:07 UTC
Reassigning to Karolin for inclusion in 4.13 and 4.14.
Comment 7 Karolin Seeger 2021-04-01 10:31:13 UTC
(In reply to Ralph Böhme from comment #6)
Pushed to autobuild-v4-{14,13}-test.
Comment 8 Samba QA Contact 2021-04-01 11:27:12 UTC
This bug was referenced in samba v4-14-test:

f5bb7a550180a60d929d854e01aeb84ddb00791f
0662726974b43c2caa9d4a143c98d6935ca28eb7
Comment 9 Samba QA Contact 2021-04-01 12:20:03 UTC
This bug was referenced in samba v4-13-test:

a85f79957407b0369166c63e30537b5170ba0ea7
7436dde6ef68826174b9f74a014e2a2040cb14a2
Comment 10 Karolin Seeger 2021-04-13 11:20:40 UTC
Closing out bug report.

Thanks!
Comment 11 Samba QA Contact 2021-04-20 10:09:59 UTC
This bug was referenced in samba v4-14-stable (Release samba-4.14.3):

f5bb7a550180a60d929d854e01aeb84ddb00791f
0662726974b43c2caa9d4a143c98d6935ca28eb7